PYNQ: PYTHON PRODUCTIVITY FOR ZYNQ

Error install Tensorflow

I need a tensorflow version larger than 1.4, but it generates the error in the image (tried on both python 2.7 and 3.6) Source: https://www.tensorflow.org/install/pip


I managed to install tensorflow but only version 0.9.0 using:

wget https://github.com/samjabrahams/tensorflow-on-raspberry-pi/releases/download/v0.9.0/tensorflow-0.9.0-py3-none-any.whl
/usr/bin/python3 -m pip install tensorflow-0.9.0-py3-none-any.whl

But I need a version greater than 1.4 because I want to use keras and with my current version generates my error:
module ‘tensorflow’ has no attribute ‘keras’ (I have keras 2.2.4 installed)

Do you know how to solve the problem?
Thanks in advance.

PYNQ is arm based platform so you need a wheel compatible with that. X86-64 wheels cannot work.

I tried other versions, but I found nothing compatible.

In that case, you perhaps need to bootstrap, which is more involved.